#include <lib.h>
#include <stdio.h>
#include <stdarg.h>

void vfprintf(file, fmt, ap)
FILE *file;
_CONST char *fmt;
va_list ap;
{
  _doprintf(file, fmt, ap);
  if (testflag(file, PERPRINTF)) fflush(file);
}


void vprintf(fmt, ap)
_CONST char *fmt;
va_list ap;
{
  _doprintf(stdout, fmt, ap);
  if (testflag(stdout, PERPRINTF)) fflush(stdout);
}
