; >$.minix.usr.s.tstdrv
;
; Testmodul fuer den AOS-Minix-Treiber
;
; (C) 30/11/89 Martin Patzel
;


		ORG	&8000


		GET	$.arm.aslib.register
		GET	$.arm.aslib.arthur
		GET	$.arm.aslib.constants
		GET	$.arm.aslib.macros

		GET	h.aosdriver
		GET	h.asconst

		MACRO
$label		Wait	$r
$label		LDR	$r,=&100000
		SUBS	$r, $r, #1
		DCD	&CAFFFFFD	; Bra zur vorigen Zeile
		MEND


;==============================================================================
; start
;
; Hauptprogramm
;
; in  :	-
; out :	-
;==============================================================================
start
		InitMem
		InitSP	#&400
		InitMac

;==============================================================================
; Test: MX_SetVector
;==============================================================================
		MOV	R0, #SV_KeybdVec
		ADR	R1, keybd_routine
		SWI	MX_SetVector
keybd_loop	B	keybd_loop

keybd_routine
		STMDB	R13!, {R12,LK}
		ADRL	R12, stackend
		NLPrint
		RPrint	"R1=", R1
		RPrint	"R2=", R2
		RPrint	"R3=", R3
		LDMIA	R13!, {R12,LK}
		SUBS	PC, LK, #4


		SWI	OS_Exit


;
;============== DATA SECTION ==================================================
;

		ALIGN

macbuf		DCD	0
stack		%	&400
stackend	EQU	.

end		EQU	.
		END
