; >$.minix.usr.s.tstdrv
;
; Testmodul fuer den AOS-Minix-Treiber
;
; (C) 30/11/89 Martin Patzel
;


		ORG	&8000


		GET	$.arm.aslib.register
		GET	$.arm.aslib.arthur
		GET	$.arm.aslib.constants
		GET	$.arm.aslib.macros

		GET	h.aosdriver
		GET	h.asconst



;==============================================================================
; start
;
; Hauptprogramm
;
; in  :	-
; out :	-
;==============================================================================
start
		InitMem
		InitSP	#&400
		InitMac


;==============================================================================
; Test: MX_GetParameters
;==============================================================================
		ADRL	R0, sysparablock
		SWI	MX_GetParameters
		MOV	R1, #0
gpar_1		LDR	R2, [R0, R1, LSL #2]
		HPrint	R2
		SPrint	"  "
		ADD	R1, R1, #1
		CMP	R1, #GP_Size/4
		BLT	gpar_1
		NLPrint

;==============================================================================
; Test: MX_GetMemoryMap
;==============================================================================
		ADRL	R0, map
		SWI	MX_GetMemoryMap
		MOV	R1, #0
gmmp_1		LDR	R2, [R0, R1, LSL #2]
		HPrint	R2
		SPrint	"  "
		ADD	R1, R1, #1
		CMP	R1, #128
		BLT	gmmp_1
		NLPrint

;==============================================================================
; Test: MX_GetMemoryFreeList
;==============================================================================
		ADRL	R0, map
		SWI	MX_GetMemoryFreeList
		MOV	R1, #0
gmfl_1		LDR	R2, [R0, R1, LSL #2]
		HPrint	R2
		SPrint	"  "
		ADD	R1, R1, #1
		CMP	R2, #-1
		BNE	gmfl_1
		NLPrint


		SWI	OS_Exit


;
;============== DATA SECTION ==================================================
;

		ALIGN

sysparablock	%	GP_Size
map		%	129*4
macbuf		DCD	0

end		EQU	.
		END
