; >$.minix.usr.s.tstdrv
;
; Testmodul fuer den AOS-Minix-Treiber
;
; (C) 30/11/89 Martin Patzel
;


		ORG	&8000


		GET	$.arm.aslib.register
		GET	$.arm.aslib.arthur
		GET	$.arm.aslib.constants
		GET	$.arm.aslib.macros

		GET	h.aosdriver
		GET	h.asconst


;==============================================================================
; start
;
; Hauptprogramm
;
; in  :	-
; out :	-
;==============================================================================
start
		InitMem
		InitSP	#&400
		InitMac


;==============================================================================
; Test: MX_PutC: Scroll, GetWindow
;==============================================================================
		MOV	R0, #&03000000	; Hole Fenstergroesse
		SWI	MX_PutC
		RPrint	"Fenstergroesse = ", R0

		MOV	R2, #10
scrl_loop1	LDR	R1, s_win	; Fenstergroesse

		LDR	R0, s_r		; nach rechts
		SWI	MX_PutC
		LDR	R0, s_d		; nach unten
		SWI	MX_PutC
		LDR	R0, s_l		; nach links
		SWI	MX_PutC
		LDR	R0, s_u		; nach oben
		SWI	MX_PutC
		SUBS	R2, R2, #1
		BGT	scrl_loop1



		SWI	OS_Exit


;
;============== DATA SECTION ==================================================
;

		ALIGN


macbuf		DCD	0
s_win		DCD	&04050102	; Fenstergroesse
s_r		DCD	&02000002	; 2 nach rechts
s_d		DCD	&02000202	; 2 nach unten
s_l		DCD	&02000102	; 2 nach links
s_u		DCD	&02000302	; 2 nach oben

end		EQU	.
		END
